VkPipelineShaderStageCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineShaderStageCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineShaderStageCreateFlags | flags
VkShaderStageFlagBits | stage
VkShaderModule | module
const char * | pName
const VkSpecializationInfo * | pSpecializationInfo

## Detailed Description

Definition at line 1932 of file vulkan.h.

## Field Documentation

## flags

VkPipelineShaderStageCreateFlags VkPipelineShaderStageCreateInfo::flags

Definition at line 1935 of file vulkan.h.

## module

VkShaderModule VkPipelineShaderStageCreateInfo::module

Definition at line 1937 of file vulkan.h.

## pName

const char* VkPipelineShaderStageCreateInfo::pName

Definition at line 1938 of file vulkan.h.

## pNext

const void* VkPipelineShaderStageCreateInfo::pNext

Definition at line 1934 of file vulkan.h.

## pSpecializationInfo

const VkSpecializationInfo* VkPipelineShaderStageCreateInfo::pSpecializationInfo

Definition at line 1939 of file vulkan.h.

## stage

VkShaderStageFlagBits VkPipelineShaderStageCreateInfo::stage

Definition at line 1936 of file vulkan.h.

## sType

VkStructureType VkPipelineShaderStageCreateInfo::sType

Definition at line 1933 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h